API ReferenceapipaymentsPOST /v1/admin/subscriptions/{id}/resume

POST /v1/admin/subscriptions/\{id\}/resume

Service: payments · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Subscription resumed

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "customer_id": {
      "type": "string"
    },
    "stripe_subscription_id": {
      "type": "string"
    },
    "plan_id": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "current_period_end": {
      "type": "string"
    },
    "cancel_at_period_end": {
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "customer_id",
    "stripe_subscription_id",
    "plan_id",
    "status",
    "current_period_end"
  ]
}

404 Subscription not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

412 Subscription is not paused

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://payments.platform.loop.health/v1/admin/subscriptions/{id}/resume \
  -H "Authorization: Bearer $ACCESS_TOKEN"